  class SetDefaultForAffiliateDistributionsProductType < ActiveRecord::Migration
    
    def self.up
      execute("UPDATE affiliate_distributions SET product_type = 'JamTrack'")
      execute("ALTER TABLE affiliate_distributions ALTER COLUMN product_type SET DEFAULT 'JamTrack'")
    end
    
    def self.down
      execute("ALTER TABLE affiliate_distributions ALTER COLUMN DROP DEFAULT")
    end
  end
